import asyncio
import logging
import train_api

logger = logging.getLogger(__name__)


async def mainloop():
    async with train_api.ApiSession() as api:
        details = await api.details()
        logger.info("Details: <%s>", details)


def main():
    logging.basicConfig(level=logging.DEBUG)
    asyncio.get_event_loop().run_until_complete(mainloop())


if __name__ == "__main__":
    main()
